Get Basic user data
curl --request GET \
--url https://api.hyperspell.com/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperspell.com/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperspell.com/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"icon_url": "<string>",
"redirect_url": "<string>"
},
"available_integrations": [
"reddit"
],
"installed_integrations": [
"reddit"
],
"token_expiration": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authentication
Get Basic user data
Endpoint to get basic user data.
GET
/
auth
/
me
Get Basic user data
Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Headers
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Response
Successful Response
The user's id
The Hyperspell app's id this user belongs to
Show child attributes
Show child attributes
All integrations available for the app
Available options:
reddit, notion, slack, google_calendar, google_mail, imap, google_meet, box, dropbox, github, gitlab, google_drive, vault, web_crawler, trace, microsoft_outlook, microsoft_teams, granola, fathom, fireflies, figma, linear, hubspot, salesforce, coda, confluence, jira, metabase, gong, clickup, lightfield, pylon, fellow, odoo, external_mcp All integrations installed for the user
Available options:
reddit, notion, slack, google_calendar, google_mail, imap, google_meet, box, dropbox, github, gitlab, google_drive, vault, web_crawler, trace, microsoft_outlook, microsoft_teams, granola, fathom, fireflies, figma, linear, hubspot, salesforce, coda, confluence, jira, metabase, gong, clickup, lightfield, pylon, fellow, odoo, external_mcp The expiration time of the user token used to make the request
Was this page helpful?